package com.hai.service;

import com.hai.entity.HighGasOilPrice;

import java.util.List;
import java.util.Map;

public interface HighGasOilPriceService {

    /**
     * 编辑
     * @param highGasOilPrice
     */
    void editGasOilPrice(HighGasOilPrice highGasOilPrice);

    /**
     * 根据门店和油号查询
     * @param storeId
     * @param oilNo
     * @return
     */
    HighGasOilPrice getGasOilPriceByStoreAndOilNo(Long storeId,Integer oilNo);

    /**
     * 根据门店id 查询
     * @param storeId
     * @return
     */
    HighGasOilPrice getGasOilPriceByStore(Long storeId);

    /**
     * 根据区域和油号查询门店
     * @param regionId
     * @param oilNoName
     * @return
     */
    List<Map<String,Object>> getStoreListByOilNo(String storeName,Long regionId, String oilNoName);



}
